Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.io
Interface ExtendedOutputStream

All Known Implementing Classes:
  CDROutputStream, ListOutputStream

public interface ExtendedOutputStream

This class implemets extra operations for streams for inserting/extracting fixed types. These operations should be present in the next java streams mapping.

Version:
  $Revision: 1.4 $ $Date: 2002/06/28 08:59:05 $
Author:
  Chris Wood

Method Summary
`ORB` | `orb()` Get the orb associated with the stream.
`void` | `write_fixed(java.math.BigDecimal val, short digits, short scale)` Fixes problems in old write_fixed.
`void` | `write_fixed(java.math.BigDecimal val, TypeCode tc)` Fixes problems in old write_fixed.

Method Detail

### orb

    public ORB orb()

  Get the orb associated with the stream.

### write_fixed

    public void write_fixed(java.math.BigDecimal val,
                            TypeCode tc)

  Fixes problems in old write_fixed. see http://www.omg.org/issues/issue3431.txt

### write_fixed

    public void write_fixed(java.math.BigDecimal val,
                            short digits,
                            short scale)

  Fixes problems in old write_fixed. see http://www.omg.org/issues/issue3431.txt

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD